Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class BootstrapService

    java.lang.Object
      |
      +--org.apache.catalina.startup.BootstrapService

All Implemented Interfaces:
  org.apache.service.Service

public final class BootstrapService
extends java.lang.Object
implements org.apache.service.Service

Special version of the Catalina bootstrap, designed to be invoked with JNI, and designed to allow easier wrapping by system level components, which would otherwise be confused by the asychronous startup and shutdown Catalina uses. This class should be used to run Catalina as a system service under Windows NT and clones.

Version:
  $Revision: 1.7.2.1 $ $Date: 2001/09/21 15:59:56 $
Author:
  Craig R. McClanahan, Remy Maucherat

Constructor Summary
`BootstrapService()`

Method Summary
`void` | `load(org.apache.service.ServiceController controller, java.lang.String[] arguments)` Load the Catalina Service.
`static void` | `main(java.lang.String[] args)` The main program for the bootstrap.
`void` | `start()` Start the Catalina Service.
`void` | `stop()` Stop the Catalina Service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BootstrapService

    public BootstrapService()

Method Detail

### load

    public void load(org.apache.service.ServiceController controller,
                     java.lang.String[] arguments)
              throws java.lang.Throwable

  Load the Catalina Service.
  Specified by:
    `load` in interface `org.apache.service.Service`

### start

    public void start()
               throws java.lang.Throwable

  Start the Catalina Service.
  Specified by:
    `start` in interface `org.apache.service.Service`

### stop

    public void stop()
              throws java.lang.Throwable

  Stop the Catalina Service.
  Specified by:
    `stop` in interface `org.apache.service.Service`

### main

    public static void main(java.lang.String[] args)

  The main program for the bootstrap.
  Parameters:
    `args` - Command line arguments to be processed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.